// Copyright (C) 2006-2009 Kent-Andre Mardal and Simula Research Laboratory
//
// This file is part of SyFi.
//
// SyFi is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
//
// SyFi is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SyFi. If not, see <http://www.gnu.org/licenses/>.

#ifndef ARNOLDFALKWINTHERWEAKSYM
#define ARNOLDFALKWINTHERWEAKSYM

#include "FE.h"

namespace SyFi
{

	class ArnoldFalkWintherWeakSymSigma : public StandardFE
	{
		public:
			ArnoldFalkWintherWeakSymSigma();
			ArnoldFalkWintherWeakSymSigma(Polygon& p, int order = 1 );
			virtual ~ArnoldFalkWintherWeakSymSigma() {}

			virtual void compute_basis_functions();
	};

	class ArnoldFalkWintherWeakSymU : public StandardFE
	{
		public:
			ArnoldFalkWintherWeakSymU();
			ArnoldFalkWintherWeakSymU(Polygon& p, int order = 1);
			virtual ~ArnoldFalkWintherWeakSymU() {}

			virtual void compute_basis_functions();
	};

	class ArnoldFalkWintherWeakSymP : public StandardFE
	{
		public:
			ArnoldFalkWintherWeakSymP();
			ArnoldFalkWintherWeakSymP(Polygon& p, int order = 1);
			virtual ~ArnoldFalkWintherWeakSymP() {}

			virtual void compute_basis_functions();
	};

}								 // namespace SyFi
#endif
